#
# Conditional build:
%bcond_with	tests	# perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define		pdir	Mail
%define		pnam	Box
Summary:	Mail::Box - manage a mailbox, a folder with messages
Summary(pl.UTF-8):	Mail::Box - zarządzanie skrzynką, folderem z wiadomościami
Name:		perl-Mail-Box
Version:	3.008
Release:	1
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/Mail/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	f29b1eb53b2550fc22e89762a8bb5630
URL:		http://search.cpan.org/dist/Mail-Box/
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
%if %{with tests}
BuildRequires:	perl(Encode) >= 1.86
BuildRequires:	perl(Scalar::Util) >= 1.07
BuildRequires:	perl-Devel-GlobalDestruction >= 0.09a3
BuildRequires:	perl-File-Remove >= 0.2
BuildRequires:	perl-HTML-Format
BuildRequires:	perl-IO-stringy
BuildRequires:	perl-MIME-Types >= 1.004
BuildRequires:	perl-Mail-SpamAssassin
BuildRequires:	perl-Object-Realize-Later >= 0.19
BuildRequires:	perl-Test-Simple >= 0.47
BuildRequires:	perl-Text-Autoformat
BuildRequires:	perl-TimeDate
BuildRequires:	perl-User-Identity
BuildRequires:	perl-base
%endif
# not found by perl.req
Requires:	perl-Object-Realize-Later >= 0.19
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define	_noautoreq	'perl(Mail::SpamAssassin)' 'perl(Text::Autoformat)' 'perl(HTML::FormatText)' 'perl(Mail::Transport::Dbx).*'

%description
The Mail::Box folder is a modern mail-folder manager -- at least at
the moment of this writing ;) It is written to replace Mail::Folder,
although it interface is different.

%description -l pl.UTF-8
Folder Mail::Box to współczesny zarządca folderów pocztowych -
przynajmniej w chwili pisania ;). Jest pisany, aby zastąpić
Mail::Folder, aczkolwiek interfejs jest inny.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor \
	< /dev/null
%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT
find $RPM_BUILD_ROOT -type f -name '*.pod' -exec rm -f '{}' \;

install -d $RPM_BUILD_ROOT%{_examplesdir}
cp -r examples $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc ChangeLog README*
%attr(755,root,root) %{_examplesdir}/%{name}-%{version}
%{perl_vendorlib}/Mail/*
%{_mandir}/man3/*
%changelog
* Sun Oct 06 2019 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/perl-Mail-Box.git;a=log;h=master

* Sun Oct 06 2019 Adam Gołębiowski <adamg@pld-linux.org> f3efc2a
- updated to 3.008

* Sun Oct 06 2019 Adam Gołębiowski <adamg@pld-linux.org> a66dcd9
- adapterized

* Sat Oct 05 2019 Adam Gołębiowski <adamg@pld-linux.org> 6cf1c88
- fix comment

* Sat Feb 16 2019 Adam Gołębiowski <adamg@pld-linux.org> 1530fb6
- updated to 3.006 (split into subpackages)

* Fri Jan 13 2012 zbyniu <zbyniu@pld-linux.org> 23b8bcd
- up to 2.101

* Thu Sep 17 2009 amateja <amateja@pld-linux.org> edcc70a
- updated to 2.091

* Mon Dec 24 2007 Jakub Bogusz <qboosh@pld-linux.org> a88a960
- generic URL

* Mon Dec 24 2007 zbyniu <zbyniu@pld-linux.org> c5dbc8d
- up to 2.079

* Tue Feb 13 2007 Elan Ruusamäe <glen@pld-linux.org> c1d8328
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> 21d8901
- converted to UTF-8

* Wed Dec 01 2004 radek <radek@pld-linux.org> 1274ca3
- autoupdated to 2.059

* Wed Nov 03 2004 paladine <paladine@pld-linux.org> 66a815c
- formatting

* Sat Aug 28 2004 Adam Gołębiowski <adamg@pld-linux.org> 227edfc
- updated to 2.057

* Sun Aug 22 2004 Adam Gołębiowski <adamg@pld-linux.org> 0d8b220
- updated to 2.056

* Sun May 16 2004 Adam Gołębiowski <adamg@pld-linux.org> 60a373b
- updated to 2.055

* Thu May 06 2004 ankry <ankry@pld-linux.org> 1018417
- fixed perl-devel BR

* Sat Mar 06 2004 Adam Gołębiowski <adamg@pld-linux.org> 066c212
- updated to 2.054

* Sun Dec 07 2003 migo <migo@pld-linux.org> 7bdd15b
- up to 2.053

* Fri Nov 07 2003 migo <migo@pld-linux.org> 73c077c
- up to 2.051
- new bcond style
- cosmetics/BR reorganization
- don't ask questions when run on a terminal

* Tue Sep 09 2003 ankry <ankry@pld-linux.org> e5093ef
- spaces -> tab

